Subject: Re: [PATCH iproute] ss: Actually print left delimiter for columns

From: Stefano Brivio <[email-masked]>
Date: Fri, 9 Nov 2018 20:47:05 +0100

On Fri, 9 Nov 2018 09:05:46 -0800
Stephen Hemminger <[email-masked]> wrote:

> On Mon, 29 Oct 2018 23:04:25 +0100
> Stefano Brivio <[email-masked]> wrote:
> 
> > While rendering columns, we use a local variable to keep track of the
> > field currently being printed, without touching current_field, which is
> > used for buffering.
> > 
> > Use the right pointer to access the left delimiter for the current column,
> > instead of always printing the left delimiter for the last buffered field,
> > which is usually an empty string.
> > 
> > This fixes an issue especially visible on narrow terminals, where some
> > columns might be displayed without separation.
> > 
> > Reported-by: YoyPa <[email-masked]>
> > Fixes: 691bd854bf4a ("ss: Buffer raw fields first, then render them as a table")
> > Signed-off-by: Stefano Brivio <[email-masked]>
> > Tested-by: YoyPa <[email-masked]>  
> 
> This test broke the testsuite/ss/ssfilter.t test.
> Please fix the test to match your new output format, or I will have to revert it.

Ouch, sorry, I didn't notice that "new" test. I'll fix that by tomorrow.

-- 
Stefano